RTEMS: RPC/UDP Multiplexor

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Macros | Typedefs | Enumerations | Functions
RPC/UDP Multiplexor
IO Library » File System Types and Mount » nfs Client

## Files
file | mount_prot.h
| Nfsclient Mount Prot.
file | rpcio.h
| A Multithreaded RPC/UDP Multiplexor.

## Macros
#define | RPCIOD_DEFAULT_ID 0xdef10000

## Typedefs
typedef struct RpcUdpServerRec_ * | RpcUdpServer
typedef struct RpcUdpXactRec_ * | RpcUdpXact
typedef RpcUdpXact | RpcUdpClnt
typedef void * | XdrProcT
| Mute compiler warnings.
typedef void * | CaddrT
typedef struct RpcUdpXactPoolRec_ * | RpcUdpXactPool

## Enumerations
enum | XactPoolGetMode { XactGetFail , XactGetWait , XactGetCreate }

## Functions
enum clnt_stat | rpcUdpServerCreate (struct sockaddr_in *paddr, rpcprog_t prog, rpcvers_t vers, u_long uid, u_long gid, RpcUdpServer *pclnt)
void | rpcUdpServerDestroy (RpcUdpServer s)
int | rpcUdpStats (FILE *f)
| Dump statistics to a file (stdout if NULL);.
enum clnt_stat | rpcUdpClntCreate (struct sockaddr_in *psaddr, rpcprog_t prog, rpcvers_t vers, u_long uid, u_long gid, RpcUdpClnt *pclnt)
void | RpcUdpClntDestroy (RpcUdpClnt clnt)
enum clnt_stat | rpcUdpClntCall (RpcUdpClnt clnt, u_long proc, XdrProcT xargs, CaddrT pargs, XdrProcT xres, CaddrT pres, struct timeval *timeout)
RpcUdpXact | rpcUdpXactCreate (u_long program, u_long version, u_long size)
void | rpcUdpXactDestroy (RpcUdpXact xact)
enum clnt_stat | rpcUdpSend (RpcUdpXact xact, RpcUdpServer srvr, struct timeval *timeout, u_long proc, xdrproc_t xres, caddr_t pres, xdrproc_t xargs, caddr_t pargs,...)
enum clnt_stat | rpcUdpRcv (RpcUdpXact xact)
| Wait for a transaction to complete.
enum clnt_stat | rpcUdpCallRp (struct sockaddr_in *pserver_addr, u_long prog, u_long vers, u_long proc, XdrProcT xargs, CaddrT pargs, XdrProcT xres, CaddrT pres, u_long uid, u_long gid, struct timeval *timeout)
RpcUdpXactPool | rpcUdpXactPoolCreate (rpcprog_t prog, rpcvers_t version, int xactsize, int poolsize)
void | rpcUdpXactPoolDestroy (RpcUdpXactPool pool)
RpcUdpXact | rpcUdpXactPoolGet (RpcUdpXactPool pool, XactPoolGetMode mode)
void | rpcUdpXactPoolPut (RpcUdpXact xact)

## Detailed Description

## Function Documentation

## ◆ rpcUdpSend()

enum clnt_stat rpcUdpSend | ( | RpcUdpXact | xact,
|  | RpcUdpServer | srvr,
|  | struct timeval * | timeout,
|  | u_long | proc,
|  | xdrproc_t | xres,
|  | caddr_t | pres,
|  | xdrproc_t | xargs,
|  | caddr_t | pargs,
|  |  | ...
| ) |  |

Send a transaction.

## ◆ rpcUdpStats()

int rpcUdpStats | ( | FILE * | f | ) |

Dump statistics to a file (stdout if NULL);.

Return values

  0 | for convenience